Skip to main content
POST
/
v1
/
workspaces
/
{workspace_id}
:sync
Sync specs from repo
curl --request POST \
  --url https://api.usezombie.com/v1/workspaces/{workspace_id}:sync \
  --header 'Authorization: Bearer <token>'
{
  "synced_count": 123,
  "total_pending": 123,
  "specs": [
    {
      "spec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_path": "<string>",
      "title": "<string>",
      "status": "pending",
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

workspace_id
string<uuid>
required

Workspace identifier

Response

Sync complete

synced_count
integer
required

Number of specs synced in this request

total_pending
integer
required

Total pending specs after sync

specs
object[]
required

List of synced spec summaries

request_id
string<uuid>
required